Every Shop Performance Score metric for the shop
GET
/api/public/v1/tik_tok_shop/shop_health/metricsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopHealthMetrics
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health/metrics" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| locale | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| metrics | array of object | required |
| metrics[].[].benchmarks | object, nullable | |
| metrics[].[].benchmarks.excellentThreshold | string, nullable | |
| metrics[].[].benchmarks.poorThreshold | string, nullable | |
| metrics[].[].dimension | string, nullable | |
| metrics[].[].evaluateDurationDays | integer, nullable | |
| metrics[].[].evaluationEndsAt | string (date-time), nullable | |
| metrics[].[].evaluationStartsAt | string (date-time), nullable | |
| metrics[].[].metricCode | string, nullable | |
| metrics[].[].metricName | string, nullable | |
| metrics[].[].score | string, nullable | |
| metrics[].[].status | string, nullable | |
| metrics[].[].statusText | string, nullable | |
| metrics[].[].topReasonText | string, nullable | |
| metrics[].[].value | string, nullable | |
| metrics[].[].valueUnit | string, nullable |
Example
{
"metrics": [
{
"benchmarks": {
"excellentThreshold": "string",
"poorThreshold": "string"
},
"dimension": "string",
"evaluateDurationDays": 3,
"evaluationEndsAt": "2026-11-01T15:04:05Z",
"evaluationStartsAt": "2026-11-01T15:04:05Z",
"metricCode": "MAYA15",
"metricName": "Example name",
"score": "string",
"status": "string",
"statusText": "string",
"topReasonText": "string",
"value": "string",
"valueUnit": "string"
}
]
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.